Index: .hgsubstate
===================================================================
--- .hgsubstate	(revision 3605)
+++ .hgsubstate	(revision 3549)
@@ -1,1 +1,1 @@
-68fc7334e74fd27f73e37f38e6d4d25f00e2dcaf inc/libs/clearbricks
+31cc764e47c0edb22866311ff1ad4484173b17f9 inc/libs/clearbricks
Index: admin/install/check.php
===================================================================
--- admin/install/check.php	(revision 3565)
+++ admin/install/check.php	(revision 3137)
@@ -49,5 +49,5 @@
 	}
 
-	if ($con->driver() == 'mysql' || $con->driver() == 'mysqli' || $con->driver() == 'mysqlimb4')
+	if ($con->driver() == 'mysql' || $con->driver() == 'mysqli')
 	{
 		if (version_compare($con->version(),'4.1','<'))
Index: admin/install/index.php
===================================================================
--- admin/install/index.php	(revision 3557)
+++ admin/install/index.php	(revision 3599)
@@ -186,5 +186,5 @@
 			$csp_prefix."'self' 'unsafe-inline'".$csp_suffix,'string','CSP style-src directive',true,true);
 		$blog_settings->system->put('csp_admin_img',
-			$csp_prefix."'self' data: media.dotaddict.org blob:",'string','CSP img-src directive',true,true);
+			$csp_prefix."'self' data: http://media.dotaddict.org blob:",'string','CSP img-src directive',true,true);
 
 		# Add Dotclear version
Index: admin/install/wizard.php
===================================================================
--- admin/install/wizard.php	(revision 3565)
+++ admin/install/wizard.php	(revision 3404)
@@ -201,5 +201,5 @@
 '<form action="wizard.php" method="post">'.
 '<p><label class="required" for="DBDRIVER"><abbr title="'.__('Required field').'">*</abbr> '.__('Database type:').'</label> '.
-    form::combo('DBDRIVER',array(__('MySQL (deprecated)')=>'mysql',__('MySQLi')=>'mysqli',__('MySQLi (full UTF-8)')=>'mysqlimb4',__('PostgreSQL')=>'pgsql',__('SQLite')=>'sqlite'),$DBDRIVER).'</p>'.
+    form::combo('DBDRIVER',array(__('MySQL (deprecated)')=>'mysql',__('MySQLi')=>'mysqli',__('PostgreSQL')=>'pgsql',__('SQLite')=>'sqlite'),$DBDRIVER).'</p>'.
 '<p><label for="DBHOST">'.__('Database Host Name:').'</label> '.
 form::field('DBHOST',30,255,html::escapeHTML($DBHOST)).'</p>'.
Index: admin/preferences.php
===================================================================
--- admin/preferences.php	(revision 3566)
+++ admin/preferences.php	(revision 3560)
@@ -46,5 +46,4 @@
 $user_ui_enhanceduploader = $core->auth->user_prefs->interface->enhanceduploader;
 $user_ui_hidemoreinfo = $core->auth->user_prefs->interface->hidemoreinfo;
-$user_ui_hidehelpbutton = $core->auth->user_prefs->interface->hidehelpbutton;
 $user_ui_htmlfontsize = $core->auth->user_prefs->interface->htmlfontsize;
 $user_ui_dynfontsize = $core->auth->user_prefs->interface->dynfontsize;
@@ -246,5 +245,4 @@
 		$core->auth->user_prefs->interface->put('enhanceduploader',!empty($_POST['user_ui_enhanceduploader']),'boolean');
 		$core->auth->user_prefs->interface->put('hidemoreinfo',!empty($_POST['user_ui_hidemoreinfo']),'boolean');
-		$core->auth->user_prefs->interface->put('hidehelpbutton',!empty($_POST['user_ui_hidehelpbutton']),'boolean');
 		$core->auth->user_prefs->interface->put('htmlfontsize',$_POST['user_ui_htmlfontsize'],'string');
 		$core->auth->user_prefs->interface->put('dynfontsize',!empty($_POST['user_ui_dynfontsize']),'boolean');
@@ -526,8 +524,4 @@
 __('Hide all secondary information and notes').'</label></p>'.
 
-'<p><label for="user_ui_hidehelpbutton" class="classic">'.
-form::checkbox('user_ui_hidehelpbutton',1,$user_ui_hidehelpbutton).' '.
-__('Hide help button').'</label></p>'.
-
 '<p><label for="user_ui_htmlfontsize" class="classic">'.__('Font size:').'</label>'.' '.
 form::combo('user_ui_htmlfontsize',$htmlfontsize_combo,$user_ui_htmlfontsize).'</p>'.
Index: admin/style/default.css
===================================================================
--- admin/style/default.css	(revision 3602)
+++ admin/style/default.css	(revision 3576)
@@ -994,16 +994,6 @@
 select,
 legend {
+  border-radius: 3px;
   max-width: 100%; }
-
-input[type=text],
-input[type=password],
-input[type=submit],
-input[type=button],
-input[type=reset],
-a.button,
-button,
-textarea,
-legend {
-  border-radius: 3px; }
 
 form {
@@ -1044,19 +1034,16 @@
 textarea,
 select {
+  background: #fcfcfc;
   color: #000;
+  border-width: 1px;
+  border-style: solid;
+  border-color: #dfdfdf;
   box-shadow: 1px 1px 2px #f3f3f3 inset;
   padding: 3px;
   vertical-align: top; }
 
-input[type=text],
-input[type=password],
-textarea {
-  background: #fcfcfc;
-  border-width: 1px;
-  border-style: solid;
-  border-color: #dfdfdf; }
-
 input:focus,
-textarea:focus {
+textarea:focus,
+select:focus {
   border-color: #9bca1c; }
 
@@ -1074,9 +1061,4 @@
   vertical-align: middle; }
 
-@media not all and (min-resolution: 0.001dpcm) {
-  @supports (-webkit-appearance: none) {
-    /* Safari 10.1+ only (https://browserstrangeness.bitbucket.io/css_hacks.html#webkit) */
-    select {
-      font-size: initial; } } }
 select.l10n option {
   padding-left: 16px; }
@@ -1088,11 +1070,8 @@
 textarea.invalid,
 select.invalid {
+  border: 1px solid red;
+  background: #FFBABA;
   color: #900;
   box-shadow: 0 0 0 3px rgba(218, 62, 90, 0.3); }
-
-input.invalid,
-textarea.invalid {
-  border: 1px solid red;
-  background: #FFBABA; }
 
 input[type=text],
Index: admin/style/scss/partials/_forms.scss
===================================================================
--- admin/style/scss/partials/_forms.scss	(revision 3602)
+++ admin/style/scss/partials/_forms.scss	(revision 3517)
@@ -9,17 +9,6 @@
 select,
 legend {
+	border-radius: 3px;
 	max-width: 100%;
-}
-
-input[type=text],
-input[type=password],
-input[type=submit],
-input[type=button],
-input[type=reset],
-a.button,
-button,
-textarea,
-legend {
-	border-radius: 3px;
 }
 
@@ -66,20 +55,17 @@
 textarea,
 select {
+	background: #fcfcfc;
 	color: #000;
+	border-width: 1px;
+	border-style: solid;
+	border-color: #dfdfdf;
 	box-shadow: 1px 1px 2px #f3f3f3 inset;
 	padding: 3px;
 	vertical-align: top;
 }
-input[type=text],
-input[type=password],
-textarea {
-	background: #fcfcfc;
-	border-width: 1px;
-	border-style: solid;
-	border-color: #dfdfdf;
-}
 
 input:focus,
-textarea:focus {
+textarea:focus,
+select:focus {
 	border-color: #9bca1c;
 }
@@ -101,11 +87,4 @@
 	vertical-align: middle;
 }
-@media not all and (min-resolution:.001dpcm)
-{ @supports (-webkit-appearance:none) {
-	/* Safari 10.1+ only (https://browserstrangeness.bitbucket.io/css_hacks.html#webkit) */
-	select {
-		font-size: initial;
-    }
-}}
 
 select.l10n option {
@@ -120,11 +99,8 @@
 textarea.invalid,
 select.invalid {
+	border: 1px solid red;
+	background: #FFBABA;
 	color: #900;
 	box-shadow: 0 0 0 3px rgba(218, 62, 90, 0.3);
-}
-input.invalid,
-textarea.invalid {
-	border: 1px solid red;
-	background: #FFBABA;
 }
 
Index: inc/admin/lib.dc.page.php
===================================================================
--- inc/admin/lib.dc.page.php	(revision 3566)
+++ inc/admin/lib.dc.page.php	(revision 3599)
@@ -119,5 +119,5 @@
 				$csp_prefix."'self' 'unsafe-inline'".$csp_suffix;
 			$csp['img-src'] = $core->blog->settings->system->csp_admin_img ?:
-				$csp_prefix."'self' data: media.dotaddict.org blob:";
+				$csp_prefix."'self' data: http://media.dotaddict.org blob:";
 
 			# Cope with blog post preview (via public URL in iframe)
@@ -352,9 +352,7 @@
 
 		if (!$GLOBALS['__resources']['ctxhelp']) {
-			if (!$core->auth->user_prefs->interface->hidehelpbutton) {
-				echo
-				'<p id="help-button"><a href="'.$core->adminurl->get("admin.help").'" class="outgoing" title="'.
-				__('Global help').'">'.__('Global help').'</a></p>';
-			}
+			echo
+			'<p id="help-button"><a href="'.$core->adminurl->get("admin.help").'" class="outgoing" title="'.
+			__('Global help').'">'.__('Global help').'</a></p>';
 		}
 
@@ -598,10 +596,6 @@
 	{
 		global $core;
-
-		if ($core->auth->user_prefs->interface->hidehelpbutton) {
-			return;
-		}
-
 		$args = func_get_args();
+
 		$args = new ArrayObject($args);
 
Index: inc/config.php.in
===================================================================
--- inc/config.php.in	(revision 3565)
+++ inc/config.php.in	(revision 3533)
@@ -12,5 +12,5 @@
 if (!defined('DC_RC_PATH')) { return; }
 
-// Database driver (mysql (deprecated, disabled in PHP7), mysqli, mysqlimb4 (full UTF-8), pgsql, sqlite)
+// Database driver (mysql (deprecated, disabled in PHP7), mysqli, pgsql, sqlite)
 define('DC_DBDRIVER','');
 
Index: inc/core/class.dc.blog.php
===================================================================
--- inc/core/class.dc.blog.php	(revision 3565)
+++ inc/core/class.dc.blog.php	(revision 3592)
@@ -694,5 +694,5 @@
 		if (!$rs->isEmpty())
 		{
-			if ($this->con->driver() == 'mysql' || $this->con->driver() == 'mysqli' || $this->con->driver() == 'mysqlimb4') {
+			if ($this->con->driver() == 'mysql' || $this->con->driver() == 'mysqli') {
 				$clause = "REGEXP '^".$this->con->escape($url)."[0-9]+$'";
 			} elseif ($this->con->driver() == 'pgsql') {
@@ -1939,10 +1939,12 @@
 		if (!$rs->isEmpty())
 		{
-			if ($this->con->driver() == 'mysql' || $this->con->driver() == 'mysqli' || $this->con->driver() == 'mysqlimb4') {
-				$clause = "REGEXP '^".$this->con->escape($url)."[0-9]+$'";
+			if ($this->con->driver() == 'mysql' || $this->con->driver() == 'mysqli') {
+				$clause = "REGEXP '^".$this->con->escape(preg_quote($url))."[0-9]+$'";
 			} elseif ($this->con->driver() == 'pgsql') {
-				$clause = "~ '^".$this->con->escape($url)."[0-9]+$'";
+				$clause = "~ '^".$this->con->escape(preg_quote($url))."[0-9]+$'";
 			} else {
-				$clause = "LIKE '".$this->con->escape($url)."%'";
+				$clause = "LIKE '".
+						$this->con->escape(preg_replace(array('%','_','!'),array('!%','!_','!!'),$url)).
+						"%' ESCAPE '!'";
 			}
 			$strReq = 'SELECT post_url FROM '.$this->prefix.'post '.
Index: inc/core/class.dc.core.php
===================================================================
--- inc/core/class.dc.core.php	(revision 3565)
+++ inc/core/class.dc.core.php	(revision 3402)
@@ -72,6 +72,4 @@
 		} elseif ($this->con instanceof mysqliConnection) {
 			mysqliConnection::$weak_locks = true;
-		} elseif ($this->con instanceof mysqlimb4Connection) {
-			mysqlimb4Connection::$weak_locks = true;
 		}
 
Index: inc/dbschema/upgrade.php
===================================================================
--- inc/dbschema/upgrade.php	(revision 3528)
+++ inc/dbschema/upgrade.php	(revision 3599)
@@ -697,4 +697,19 @@
 		}
 
+		if (version_compare($version,'2.12.2','<'))
+		{
+			// SQlite Clearbricks driver does not allow using single quote at beginning or end of a field value
+			// so we have to use neutral values (localhost and 127.0.0.1) for some CSP directives
+			$csp_prefix = $core->con->driver() == 'sqlite' ? 'localhost ' : '';	// Hack for SQlite Clearbricks driver
+
+			# Update CSP img-src default directive
+			$strReq = 'UPDATE '.$core->prefix.'setting '.
+					" SET setting_value = '".$csp_prefix."''self'' data: http://media.dotaddict.org blob:' ".
+					" WHERE setting_id = 'csp_admin_img' ".
+					" AND setting_ns = 'system' ".
+					" AND setting_value = '".$csp_prefix."''self'' data: media.dotaddict.org blob:' ";
+			$core->con->execute($strReq);
+		}
+
 		$core->setVersion('core',DC_VERSION);
 		$core->blogDefaults();
Index: inc/prepend.php
===================================================================
--- inc/prepend.php	(revision 3575)
+++ inc/prepend.php	(revision 3573)
@@ -144,5 +144,5 @@
 # Constants
 define('DC_ROOT',path::real(dirname(__FILE__).'/..'));
-define('DC_VERSION','2.13-dev');
+define('DC_VERSION','2.12.1');
 define('DC_DIGESTS',dirname(__FILE__).'/digests');
 define('DC_L10N_ROOT',dirname(__FILE__).'/../locales');
Index: inc/public/class.dc.template.php
===================================================================
--- inc/public/class.dc.template.php	(revision 3479)
+++ inc/public/class.dc.template.php	(revision 3593)
@@ -2930,5 +2930,9 @@
 
 		if (isset($attr['blog_lang'])) {
-			$sign = (boolean) $attr['blog_lang'] ? '!' : '=';
+			$sign = '=';
+			if (substr($attr['blog_lang'],0,1) == '!') {
+				$sign = '!';
+				$attr['blog_lang'] = substr($attr['blog_lang'],1);
+			}
 			$if[] = "\$core->blog->settings->system->lang ".$sign."= '".addslashes($attr['blog_lang'])."'";
 		}
Index: inc/public/default-templates/currywurst/_entry-content.html
===================================================================
--- inc/public/default-templates/currywurst/_entry-content.html	(revision 3167)
+++ inc/public/default-templates/currywurst/_entry-content.html	(revision 3601)
@@ -1,3 +1,3 @@
-<div class="post simple" id="p{{tpl:EntryID}}" role="article">
+<div class="post simple" id="p{{tpl:EntryID}}" role="article" lang="{{tpl:EntryLang}}">
 	<h2 class="post-title">{{tpl:EntryTitle encode_html="1"}}</h2>
 
Index: inc/public/default-templates/dotty/_entry-content.html
===================================================================
--- inc/public/default-templates/dotty/_entry-content.html	(revision 3331)
+++ inc/public/default-templates/dotty/_entry-content.html	(revision 3601)
@@ -1,3 +1,3 @@
-<article class="post simple" id="p{{tpl:EntryID}}" role="article">
+<article class="post simple" id="p{{tpl:EntryID}}" role="article" lang="{{tpl:EntryLang}}">
 	<header>
 		<h2 class="post-title">{{tpl:EntryTitle encode_html="1"}}</h2>
Index: locales/fr/main.po
===================================================================
--- locales/fr/main.po	(revision 3566)
+++ locales/fr/main.po	(revision 3557)
@@ -2195,7 +2195,4 @@
 msgstr "Cacher les informations secondaires et les notes"
 
-msgid "Hide help button"
-msgstr "Cacher le bouton d'aide"
-
 msgid "Font size:"
 msgstr "Taille de police de caractère :"
Index: locales/fr/plugins.po
===================================================================
--- locales/fr/plugins.po	(revision 3585)
+++ locales/fr/plugins.po	(revision 3607)
@@ -2001,10 +2001,4 @@
 msgstr "Liens de navigation"
 
-msgid "Open URL on a new tab"
-msgstr "S'ouvre dans un nouvel onglet"
-
-msgid "the link will open a new window"
-msgstr "Ce lien s'ouvrira dans une nouvelle fenêtre"
-
 msgid "Selected entries"
 msgstr "Billets sélectionnés"
Index: plugins/dcLegacyEditor/css/jsToolBar/jsToolBar.css
===================================================================
--- plugins/dcLegacyEditor/css/jsToolBar/jsToolBar.css	(revision 3602)
+++ plugins/dcLegacyEditor/css/jsToolBar/jsToolBar.css	(revision 3365)
@@ -45,4 +45,5 @@
 	width: 12em;
 	margin-right: .6rem;
+	border: 1px solid #ddd;
 }
 .jstElements button {
Index: plugins/importExport/inc/flat/class.flat.import.php
===================================================================
--- plugins/importExport/inc/flat/class.flat.import.php	(revision 3606)
+++ plugins/importExport/inc/flat/class.flat.import.php	(revision 3323)
@@ -164,5 +164,5 @@
 					if (in_array($last_line_name,$constrained)) {
 						# UNDEFER
-						if ($this->con->driver() == 'mysql' || $this->con->driver() == 'mysqli' || $this->con->driver() == 'mysqlimb4') $this->con->execute('SET foreign_key_checks = 1');
+						if ($this->con->driver() == 'mysql' || $this->con->driver() == 'mysqli') $this->con->execute('SET foreign_key_checks = 1');
 						if ($this->con->driver() == 'pgsql') $this->con->execute('SET CONSTRAINTS ALL DEFERRED');
 					}
@@ -170,5 +170,5 @@
 					if (in_array($line->__name,$constrained)) {
 						# DEFER
-						if ($this->con->driver() == 'mysql' || $this->con->driver() == 'mysqli' || $this->con->driver() == 'mysqlimb4') $this->con->execute('SET foreign_key_checks = 0');
+						if ($this->con->driver() == 'mysql' || $this->con->driver() == 'mysqli') $this->con->execute('SET foreign_key_checks = 0');
 						if ($this->con->driver() == 'pgsql') $this->con->execute('SET CONSTRAINTS ALL IMMEDIATE');
 					}
@@ -209,5 +209,5 @@
 			}
 
-			if ($this->con->driver() == 'mysql' || $this->con->driver() == 'mysqli' || $this->con->driver() == 'mysqlimb4') $this->con->execute('SET foreign_key_checks = 1');
+			if ($this->con->driver() == 'mysql' || $this->con->driver() == 'mysqli') $this->con->execute('SET foreign_key_checks = 1');
 			if ($this->con->driver() == 'pgsql') $this->con->execute('SET CONSTRAINTS ALL DEFERRED');
 		}
Index: plugins/simpleMenu/_define.php
===================================================================
--- plugins/simpleMenu/_define.php	(revision 3578)
+++ plugins/simpleMenu/_define.php	(revision 3333)
@@ -16,5 +16,5 @@
 	/* Description*/		"Simple menu for Dotclear",
 	/* Author */			"Franck Paul",
-	/* Version */			'1.4',
+	/* Version */			'1.3',
 	array(
 		'permissions' =>	'admin',
Index: plugins/simpleMenu/_install.php
===================================================================
--- plugins/simpleMenu/_install.php	(revision 3578)
+++ plugins/simpleMenu/_install.php	(revision 3159)
@@ -20,6 +20,6 @@
 $blog_url = html::stripHostURL($core->blog->url);
 $menu_default = array(
-	array('label' => 'Home', 'descr' => 'Recent posts', 'url' => $blog_url, 'targetBlank'  => false),
-	array('label' => 'Archives', 'descr' => '', 'url' => $blog_url.$core->url->getURLFor('archive'), 'targetBlank'  => false)
+	array('label' => 'Home', 'descr' => 'Recent posts', 'url' => $blog_url),
+	array('label' => 'Archives', 'descr' => '', 'url' => $blog_url.$core->url->getURLFor('archive'))
 );
 $core->blog->settings->system->put('simpleMenu',$menu_default,'array','simpleMenu default menu',false,true);
Index: plugins/simpleMenu/_public.php
===================================================================
--- plugins/simpleMenu/_public.php	(revision 3600)
+++ plugins/simpleMenu/_public.php	(revision 3427)
@@ -101,6 +101,4 @@
 				$href = html::escapeHTML($href);
 
-				$targetBlank = ((isset($m['targetBlank'])) && ($m['targetBlank']))? true:false;
-
 				# Active item test
 				$active = false;
@@ -112,10 +110,6 @@
 				}
 				$title = $span = '';
-
 				if ($m['descr']) {
-					if (($description == 'title' || $description == 'both') && $targetBlank) {
-						$title = ' title="'.html::escapeHTML(__($m['descr'])).' ('.
-						__("the link will open a new window").')"';
-					}elseif($description == 'title' || $description == 'both'){
+					if ($description == 'title' || $description == 'both') {
 						$title = ' title="'.html::escapeHTML(__($m['descr'])).'"';
 					}
@@ -124,9 +118,4 @@
 					}
 				}
-
-				if( empty($title) && $targetBlank){
-					$title = ' title="'.__("the link will open a new window").'"';
-				}
-
 				$label = html::escapeHTML(__($m['label']));
 
@@ -149,10 +138,10 @@
 							($item['class'] ? $item['class'] : '').
 						'">'.
-						'<a href="'.$href.'"'.$item['title'].
-						(($targetBlank) ? 'target="_blank" rel="noopener noreferrer"': '').'>'.
+						'<a href="'.$href.'"'.$item['title'].'>'.
 						'<span class="simple-menu-label">'.$item['label'].'</span>'.
 						$item['span'].'</a>'.
 						'</li>';
 			}
+
 			// Final rendering
 			if ($ret) {
Index: plugins/simpleMenu/index.php
===================================================================
--- plugins/simpleMenu/index.php	(revision 3582)
+++ plugins/simpleMenu/index.php	(revision 3182)
@@ -136,5 +136,5 @@
 	$item_descr = isset($_POST['item_descr']) ? $_POST['item_descr'] : '';
 	$item_url = isset($_POST['item_url']) ? $_POST['item_url'] : '';
-	$item_targetBlank  = isset($_POST['item_targetBlank']) ?  (empty($_POST['item_targetBlank'])) ? false : true : false;
+
 	# Traitement
 	$step = (!empty($_GET['add']) ? (integer) $_GET['add'] : 0);
@@ -229,8 +229,6 @@
 							'label' => $item_label,
 							'descr' => $item_descr,
-							'url' => $item_url,
-							'targetBlank'	=> $item_targetBlank 
+							'url' => $item_url
 						);
-						
 						// Save menu in blog settings
 						$core->blog->settings->system->put('simpleMenu',$menu);
@@ -267,7 +265,5 @@
 								'label' => $v['label'],
 								'descr' => $v['descr'],
-								'url' => $v['url'],
-								'targetBlank'	=> $v['targetBlank']
-								);
+								'url' => $v['url']);
 						}
 					}
@@ -305,7 +301,5 @@
 						'label' => $_POST['items_label'][$i],
 						'descr' => $_POST['items_descr'][$i],
-						'url' => $_POST['items_url'][$i],
-						'targetBlank'	=> (empty($_POST['items_targetBlank'.$i])) ? false : true
-						);
+						'url' => $_POST['items_url'][$i]);
 				}
 				$menu = $newmenu;
@@ -486,6 +480,4 @@
 				__('URL of item menu:').'</label>'.form::field('item_url',40,255,$item_url).'</p>';
 			echo form::hidden('item_type',$item_type).form::hidden('item_select',$item_select);
-			echo '<p class="field"><label for="item_descr" class="classic">'.
-				__('Open URL on a new tab').':</label>'.form::checkbox('item_targetBlank','blank').'</p>';
 			echo '<p>'.$core->formNonce().'<input type="submit" name="appendaction" value="'.__('Add this item').'" /></p>';
 			echo '</fieldset>';
@@ -530,5 +522,4 @@
 		'<th scope="col">'.__('Description').'</th>'.
 		'<th scope="col">'.__('URL').'</th>'.
-		'<th scope="col">'.__('Open URL on a new tab').'</th>'.
 		'</tr>'.
 		'</thead>'.
@@ -537,14 +528,4 @@
 	foreach ($menu as $i => $m) {
 		echo '<tr class="line" id="l_'.$i.'">';
-		
-		//because targetBlank can not exists. This value has been added after this plugin creation.
-		if((isset($m['targetBlank'])) && ($m['targetBlank'])) {
-			$targetBlank = true;
-			$targetBlankStr ='X';
-		}else{
-			$targetBlank = false;
-			$targetBlankStr ='';
-		}
-		
 		if (!$step) {
 			$count++;
@@ -556,11 +537,8 @@
 			echo '<td class="nowrap">'.form::field(array('items_descr[]','imd-'.$i),'30',255,html::escapeHTML(__($m['descr']))).'</td>';
 			echo '<td class="nowrap">'.form::field(array('items_url[]','imu-'.$i),'30',255,html::escapeHTML($m['url'])).'</td>';
-			echo '<td class="nowrap">'.form::checkbox('items_targetBlank'.$i,'blank',$targetBlank).'</td>';
 		} else {
 			echo '<td class="nowrap" scope="row">'.html::escapeHTML(__($m['label'])).'</td>';
 			echo '<td class="nowrap">'.html::escapeHTML(__($m['descr'])).'</td>';
 			echo '<td class="nowrap">'.html::escapeHTML($m['url']).'</td>';
-			echo '<td class="nowrap">'.$targetBlankStr.'</td>';
- 
 		}
 		echo '</tr>';
Index: plugins/simpleMenu/locales/en/help/help.html
===================================================================
--- plugins/simpleMenu/locales/en/help/help.html	(revision 3589)
+++ plugins/simpleMenu/locales/en/help/help.html	(revision 2534)
@@ -34,5 +34,4 @@
       <li><strong>URL:</strong> The item URL. This field is 
       mandatory.</li>
-      <li><strong>Open URL on a new tab:</strong> Check if this link should be opened in a new tab or a new window.</li>
   </ul>
   </dd>
Index: plugins/simpleMenu/locales/fr/help/help.html
===================================================================
--- plugins/simpleMenu/locales/fr/help/help.html	(revision 3589)
+++ plugins/simpleMenu/locales/fr/help/help.html	(revision 2425)
@@ -37,5 +37,4 @@
       <li><strong>URL&nbsp;:</strong> indiquez ici la destination. Ce champ est
       obligatoire.</li>
-      <li><strong>S'ouvre dans un nouvel onglet&nbsp;:</strong> Cochez si le lien doit s'ouvrir dans un nouvel onglet ou une nouvelle fenêtre.</li>
     </ul>
   </dd>
Index: plugins/simpleMenu/simplemenu.js
===================================================================
--- plugins/simpleMenu/simplemenu.js	(revision 3591)
+++ plugins/simpleMenu/simplemenu.js	(revision 3182)
@@ -16,4 +16,4 @@
 	$("#menuitemslist tr td input.position").hide();
 	$("#menuitemslist tr td.handle").addClass('handler');
-	dotclear.condSubmit('#menuitems tr td input[name^=items_selected]','#menuitems #remove-action');
+	dotclear.condSubmit('#menuitems tr td input[type="checkbox"]','#menuitems #remove-action');
 });
